org.apache.tomcat.websocket

## Class BackgroundProcessManager

- java.lang.Object
- - org.apache.tomcat.websocket.BackgroundProcessManager

-     public class BackgroundProcessManager
      extends Object

  Provides a background processing mechanism that triggers roughly once a second. The class maintains a thread that only runs when there is at least one instance of `BackgroundProcess` registered.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BackgroundProcessManager` | `getInstance()`
    `void` | `register(BackgroundProcess process)`
    `void` | `unregister(BackgroundProcess process)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static BackgroundProcessManager getInstance()

    - #### register

          public void register(BackgroundProcess process)

    - #### unregister

          public void unregister(BackgroundProcess process)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.